@echo off
setlocal

echo.
echo ^> adpack -unpack -in testOut.zip -force -list
echo.
echo # -in testOut.zip : input zip file is "testOut.zip".
echo # -force          : overwrite output extract files.
echo # -list           : show all file names.
echo.
echo ---(execute adpack)------------------
echo.

adpack -unpack -in testOut.zip -force -list
if errorlevel 1 (goto ERROR)

echo.
echo ---(end adpack)----------------------
echo.
echo # test_unpack.bat done.
@echo off
endlocal
exit /b 0

:ERROR
echo.
echo ---(error adpack)--------------------
echo.
echo # test_unpack.bat error exit.
@echo off
endlocal
exit /b 1

